<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="assets/static/images/favicon.ico" type="image/x-icon">
    <link rel="icon" href="assets/static/images/favicon.ico" type="image/x-icon">
    <title>Dashboard</title>

    <style>
      #loader {
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        position: fixed;
        height: 100vh;
        width: 100%;
        background: #fff;
        z-index: 90000;
      }

      #loader.fadeOut {
        opacity: 0;
        visibility: hidden;
      }

      .spinner {
        width: 40px;
        height: 40px;
        position: absolute;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        background-color: #333;
        border-radius: 100%;
        -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
        animation: sk-scaleout 1.0s infinite ease-in-out;
      }

      @-webkit-keyframes sk-scaleout {
        0% { -webkit-transform: scale(0) }
        100% {
          -webkit-transform: scale(1.0);
          opacity: 0;
        }
      }

      @keyframes sk-scaleout {
        0% {
          -webkit-transform: scale(0);
          transform: scale(0);
        } 100% {
          -webkit-transform: scale(1.0);
          transform: scale(1.0);
          opacity: 0;
        }
      }
    </style>
  </head>
  <body class="app js-dashboard-module">
    <!-- @TOC -->
    <!-- =================================================== -->
    <!--
      + @Page Loader
      + @App Content
          - #Left Sidebar
              > $Sidebar Header
              > $Sidebar Menu

          - #Main
              > $Topbar
              > $App Screen Content
    -->

    <!-- @Page Loader -->
    <!-- =================================================== -->
    <div id='loader'>
      <div class="spinner"></div>
    </div>

    <script>
      window.addEventListener('load', () => {
        const loader = document.getElementById('loader');
        setTimeout(() => {
          loader.classList.add('fadeOut');
        }, 300);
      });
    </script>

    <!-- @App Content -->
    <!-- =================================================== -->
    <div>
      <!-- #Left Sidebar ==================== -->
      <div class="sidebar">
        <div class="sidebar-inner">
          <!-- ### $Sidebar Header ### -->
          <div class="sidebar-logo">
            <div class="peers ai-c fxw-nw">
              <div class="peer peer-greed">
                <a class="sidebar-link td-n" href="index.html">
                  <div class="peers ai-c fxw-nw">
                    <div class="peer">
                      <div class="logo">
                        <img src="assets/static/images/logo.png" alt="">
                      </div>
                    </div>
                    <div class="peer peer-greed">
                      <h5 class="lh-1 mB-0 logo-text">SJ FRONTEND</h5>
                    </div>
                  </div>
                </a>
              </div>
              <div class="peer">
                <div class="mobile-toggle sidebar-toggle">
                  <a href="" class="td-n">
                    <i class="ti-arrow-circle-left"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>

          <!-- ### $Sidebar Menu ### -->
          <ul class="sidebar-menu scrollable pos-r">
            <li class="nav-item mT-30 active">
              <a class="sidebar-link" href="index.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-home"></i>
                </span>
                <span class="title">Dashboard</span>
              </a>
            </li>
            <li class="nav-item">
              <a class='sidebar-link' href="charts.html">
                <span class="icon-holder">
                  <i class="c-indigo-500 ti-bar-chart"></i>
                </span>
                <span class="title">Visualization</span>
              </a>
            </li>
            <li class="nav-item">
              <a class='sidebar-link' href="todos.html">
                <span class="icon-holder">
                  <i class="c-indigo-500 ti-clipboard"></i>
                </span>
                <span class="title">To-dos</span>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <!-- #Main ============================ -->
      <div class="page-container">
        <!-- ### $Topbar ### -->
        <div class="header navbar">
          <div class="header-container">
            <ul class="nav-left">
              <li>
                <a id='sidebar-toggle' class="sidebar-toggle" href="javascript:void(0);">
                  <i class="ti-menu"></i>
                </a>
              </li>
            </ul>
          </div>
        </div>

        <!-- ### $App Screen Content ### -->
        <main class='main-content bgc-grey-100'>
          <div id='mainContent'>
            <div class="row gap-20 masonry pos-r">
              <div class="masonry-sizer col-md-6"></div>
              <div class="masonry-item  w-100">
                <div class="row gap-20">
                  <!-- #Toatl Visits ==================== -->
                  <div class='col-md-3'>
                    <div class="layers bd bgc-white p-20">
                      <div class="layer w-100 mB-10">
                        <h6 class="lh-1">Current Sprint</h6>
                      </div>
                      <div class="layer w-100">
                        <div class="peers ai-sb fxw-nw">
                          <div class="peer peer-greed">
                            <span class="dashboard__label--needs-attention-24-bold"><span class='js-current-sprint'>------</span></span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                  <!-- #Total Page Views ==================== -->
                  <div class='col-md-3'>
                    <div class="layers bd bgc-white p-20">
                      <div class="layer w-100 mB-10">
                        <h6 class="lh-1">Current Release</h6>
                      </div>
                      <div class="layer w-100">
                        <div class="peers ai-sb fxw-nw">
                          <div class="peer peer-greed">
                            <span class="dashboard__label--needs-attention-24-bold"><span class='js-current-release'>------</span></span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                  <!-- #Unique Visitors ==================== -->
                  <!--<div class='col-md-3'>
                    <div class="layers bd bgc-white p-20">
                      <div class="layer w-100 mB-10">
                        <h6 class="lh-1">Unique Visitor</h6>
                      </div>
                      <div class="layer w-100">
                        <div class="peers ai-sb fxw-nw">
                          <div class="peer peer-greed">
                            <span id="sparklinedash3"></span>
                          </div>
                          <div class="peer">
                            <span class="d-ib lh-0 va-m fw-600 bdrs-10em pX-15 pY-15 bgc-purple-50 c-purple-500">~12%</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div> -->

                  <!-- #Bounce Rate ==================== -->
                  <!--<div class='col-md-3'>
                    <div class="layers bd bgc-white p-20">
                      <div class="layer w-100 mB-10">
                        <h6 class="lh-1">Bounce Rate</h6>
                      </div>
                      <div class="layer w-100">
                        <div class="peers ai-sb fxw-nw">
                          <div class="peer peer-greed">
                            <span id="sparklinedash4"></span>
                          </div>
                          <div class="peer">
                            <span class="d-ib lh-0 va-m fw-600 bdrs-10em pX-15 pY-15 bgc-blue-50 c-blue-500">33%</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>-->
                </div>
              </div>
              <div class="masonry-item col-12">
                <!-- #Assignment Map ==================== -->
                <div class="bd bgc-white">
                  <div class="peers fxw-nw@lg+ ai-s">
                    <div class="peer peer-greed w-70p@lg+ w-100@lg- p-20">
                      <div class="layers">
                        <div class="layer w-100 mB-10">
                          <h6 class="lh-1">Assignment Map</h6>
                        </div>
                        <div class="layer w-100">
                          <!-- <div id="world-map-marker"></div> -->
                          <div>
                            <img src="assets/static/images/map.png" class="dashboard__map" />
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="peer bdL p-20 w-30p@lg+ w-100p@lg-">
                      <div class="layers">
                        <div class="layer w-100">
                          <!-- Progress Bars -->
                          <div class="layers">
                            <div class="layer w-100">
                              <h5 class="mB-5"><span class='js-jira-tasks'>----</span></h5>
                              <small class="fw-600 c-grey-700">JIRA Tasks</small>
                              <!-- <span class="pull-right c-grey-600 fsz-sm"></span> -->
                              <!-- <div class="progress mT-10">
                                <div class="progress-bar bgc-deep-purple-500" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width:0%;"> <span class="sr-only"></span></div>
                              </div> -->
                            </div>
                            <div class="layer w-100 mT-15">
                              <h5 class="mB-5"><span class='js-jira-frontend-tasks'>----</span></h5>
                              <small class="fw-600 c-grey-700">JIRA Frontend Tasks</small>
                              <!-- <span class="pull-right c-grey-600 fsz-sm"></span> -->
                              <!-- <div class="progress mT-10">
                                <div class="progress-bar bgc-green-500" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width:0%;"> <span class="sr-only"></span></div>
                              </div> -->
                            </div>
                            <div class="layer w-100 mT-15">
                              <h5 class="mB-5"><span class='js-jira-sjdev-tasks'>----</span></h5>
                              <small class="fw-600 c-grey-700">SJDEV Tasks</small>
                            </div>
                            <div class="layer w-100 mT-15">
                              <h5 class="mB-5"><span class='js-jira-mt-tasks'>----</span></h5>
                              <small class="fw-600 c-grey-700">MT Tasks</small>
                            </div>
                          </div>

                          <!-- Pie Charts -->
                          <div class="peers pT-20 mT-20 bdT fxw-nw@lg+ jc-sb ta-c gap-10">
                            <div class="peer">
                              <div class="easy-pie-chart js-jira-done-tasks" data-size='80' data-percent="0" data-bar-color='#f44336'>
                                <span></span>
                              </div>
                              <h6 class="fsz-sm">Done</h6>
                            </div>
                            <div class="peer">
                              <div class="easy-pie-chart js-jira-doing-tasks" data-size='80' data-percent="0" data-bar-color='#2196f3'>
                                <span></span>
                              </div>
                              <h6 class="fsz-sm">In-Progress</h6>
                            </div>
                            <div class="peer">
                              <div class="easy-pie-chart js-jira-qcqa-tasks" data-size='80' data-percent="0" data-bar-color='#ff9800'>
                                <span></span>
                              </div>
                              <h6 class="fsz-sm">In QC/QA</h6>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              
              <div class="masonry-item col-md-6">
                <!-- #Weather ==================== -->
                <div class="bd bgc-white p-20">
                  <div class="layers">
                    <!-- Widget Title -->
                    <div class="layer w-100 mB-20">
                      <h6 class="lh-1">Weather</h6>
                    </div>

                    <!-- Today Weather -->
                    <div class="layer w-100">
                      <div class="peers ai-c jc-sb fxw-nw">
                        <div class="peer peer-greed">
                          <div class="layers">
                            <!-- Temprature -->
                            <div class="layer w-100">
                              <div class="peers fxw-nw ai-c">
                                <div class="peer mR-20">
                                  <h3><span class="js-current-temperature">---</span><sup>°C</sup></h3>
                                </div>
                                <div class="peer">
                                  <canvas id="js-weather-condition-icon" class="" width="44" height="44"></canvas>
                                </div>
                              </div>
                            </div>

                            <!-- Condition -->
                            <div class="layer w-100">
                              <span class="fw-600 c-grey-600"><span class="js-weather-condition">----------</span></span>
                            </div>
                          </div>
                        </div>
                        <div class="peer">
                          <div class="layers ai-fe">
                            <div class="layer">
                              <h5 class="mB-5">Ho Chi Minh City</h5>
                            </div>
                            <div class="layer">
                              <span class="fw-600 c-grey-600"><span class="js-now-date">------</span></span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- Today Weather Extended -->
                    <div class="layer w-100 mY-30">
                      <div class="layers">
                        <div class="layer w-100 bdT pY-5">
                          <div class="peers ai-c jc-sb fxw-nw">
                            <div class="peer">
                              <span>Wind</span>
                            </div>
                            <div class="peer ta-r">
                              <span class="fw-600 c-grey-800"><span class="js-wind-speed">----</span></span>
                            </div>
                          </div>
                        </div>
                        <div class="layer w-100 bdT pY-5">
                          <div class="peers ai-c jc-sb fxw-nw">
                            <div class="peer">
                              <span>Sunrise</span>
                            </div>
                            <div class="peer ta-r">
                              <span class="fw-600 c-grey-800"><span class="js-sunrise-time">----</span></span>
                            </div>
                          </div>
                        </div>
                        <div class="layer w-100 bdT pY-5">
                          <div class="peers ai-c jc-sb fxw-nw">
                            <div class="peer">
                              <span>Sunset</span>
                            </div>
                            <div class="peer ta-r">
                              <span class="fw-600 c-grey-800"><span class="js-sunset-time">----</span></span>
                            </div>
                          </div>
                        </div>
                        <div class="layer w-100 bdT pY-5">
                          <div class="peers ai-c jc-sb fxw-nw">
                            <div class="peer">
                              <span>Pressure</span>
                            </div>
                            <div class="peer ta-r">
                              <span class="fw-600 c-grey-800"><span class="js-pressure">----</span></span>
                            </div>
                          </div>
                        </div>
                        <div class="layer w-100 pY-5">
                          <div class="peers ai-c jc-sb fxw-nw">
                            <div class="peer">
                              <span>Last updated on <span class="js-last-updated-on-openweathermap">--/--/---- --:-- --</span></span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- Week Forecast -->
                    <!--<div class="layer w-100">
                      <div class="peers peers-greed ai-fs ta-c">
                        <div class="peer">
                          <h6 class="mB-10">MON</h6>
                          <canvas class="sleet" width="30" height="30"></canvas>
                          <span class="d-b fw-600">32<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">TUE</h6>
                          <canvas class="clear-day" width="30" height="30"></canvas>
                          <span class="d-b fw-600">30<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">WED</h6>
                          <canvas class="partly-cloudy-day" width="30" height="30"></canvas>
                          <span class="d-b fw-600">28<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">THR</h6>
                          <canvas class="cloudy" width="30" height="30"></canvas>
                          <span class="d-b fw-600">32<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">FRI</h6>
                          <canvas class="snow" width="30" height="30"></canvas>
                          <span class="d-b fw-600">24<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">SAT</h6>
                          <canvas class="wind" width="30" height="30"></canvas>
                          <span class="d-b fw-600">28<sup>°C</sup></span>
                        </div>
                        <div class="peer">
                          <h6 class="mB-10">SUN</h6>
                          <canvas class="sleet" width="30" height="30"></canvas>
                          <span class="d-b fw-600">32<sup>°C</sup></span>
                        </div>
                      </div>
                    </div>-->
                  </div>
                </div>
              </div>

              <div class="masonry-item col-md-6">
                <!-- #Todo ==================== -->
                <div class="bd bgc-white p-20">
                  <div class="layers">
                    <div class="layer w-100 mB-10">
                      <h6 class="lh-1">Leaderboard</h6>
                    </div>
                    <div class="layer w-100">
                      <ul class="list-task list-group js-monthly-ranking">
                        <li class="list-group-item bdw-0 dashboard__pL-0">
                          <span>------</span>
                        </li>
                        <!-- <li class="list-group-item bdw-0 dashboard__list-group-item--no-padding">
                          <div class="peers ai-c">
                            <input type="checkbox" id="inputCall1" name="inputCheckboxesCall" class="peer">
                            <label for="inputCall1" class=" peers peer-greed js-sb ai-c">
                              <span class="peer peer-greed">Steven Marcus Klein</span>
                              <span class="peer">
                                <span class="badge badge-pill fl-r badge-info lh-0 p-10">1st</span>
                              </span>
                            </label>
                          </div>
                        </li> -->
                      </ul>
                    </div>
                  </div>
                </div>
              </div>

              <div class="masonry-item col-md-6">
                <div class="bd bgc-white p-20">
                  <div class="layers">
                    <div class="layer w-100 mB-10">
                      <h6 class="lh-1">Open GITLAB Issues</h6>
                    </div>
                    <div class="layer w-100">
                      <table class="table">
                        <thead class="thead-dark">
                          <tr>
                              <th scope="col"></th>
                              <th scope="col">Title</th>
                              <th scope="col">Assignee</th>
                          </tr>
                        </thead>
                        <tbody class="js-open-gitlab-issues">
                          <tr>
                            <th scope="row">--</th>
                            <td>-----</td>
                            <td>-----</td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <div class="layer w-100 pY-5">
                      <div class="peers ai-c jc-sb fxw-nw">
                        <div class="peer">
                          <span>Last updated on <span class="js-last-updated-on-gitlab">--/--/---- --:-- --</span></span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="masonry-item col-md-6">
                <div class="bd bgc-white p-20">
                  <div class="layers">
                    <div class="layer w-100 mB-10">
                      <h6 class="lh-1">Bulletin Board</h6>
                    </div>
                    <div class="layer w-100">
                      <div>
                        <ul class="list-group js-bulletin-board-content"></ul>
                      </div>
                    </div>
                    <div class="layer w-100 pY-5">
                      <div class="peers ai-c jc-sb fxw-nw">
                        <div class="peer">
                          <span>Last updated on <span class="js-last-updated-on-bulletin-board">--/--/---- --:-- --</span></span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>

          
        </main>

        <!-- ### $App Screen Footer ### -->
        <footer class="bdT ta-c p-30 lh-0 fsz-sm c-grey-600">
          <span>© <a href="https://colorlib.com" target='_blank' title="Colorlib">Colorlib</a> and Steve</span>
        </footer>
      </div>
    </div>
  </body>
</html>
